package parsing;

public class SrcLoc {
	public final int line;
	public final int caret;

	public SrcLoc(int line, int caret)
	{
		this.line = line;
		this.caret = caret;
	}

	public SrcLoc after(int len)
	{
		return new SrcLoc(line, caret + len);
	}

	public String toString()
	{
		return "("+line+","+caret+")";
	}
}
